@0xe89d197dcef9c49b;

using Rust = import "programming_language/rust.capnp";
$Rust.parentModule("schema");

using CSharp = import "programming_language/csharp.capnp";
$CSharp.namespace("FabAccessAPI.Schema");

using General = import "general.capnp";
using Machine = import "machine.capnp".Machine;
using Space = import "space.capnp".Space;

interface MachineSystem 
{
	info @0 :Info;
    interface Info $CSharp.name("InfoInterface") {
    	getMachineList @0 () -> ( machines :List(Machine) );

    	getMachine @1 ( uuid :General.UUID ) -> ( machine :Machine);
	}

	manage @1 :Manage;
    interface Manage $CSharp.name("ManageInterface") {
    	addMachine @0 (machine :Machine);
    	updateMachine @1 (machine :Machine);
    	removeMachine @2 (machine :Machine);
	}
}